package com.usky.vpp.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.vpp.domain.VppDevice;
import com.usky.vpp.service.vo.DeviceRequest;
import com.usky.vpp.service.vo.DeviceTsdbImportResultVO;
import org.springframework.web.multipart.MultipartFile;

import java.util.Map;

/**
 * 设备管理业务接口
 */
public interface VppDeviceService {

    CommonPage<VppDevice> pageDevice(Map<String, Object> params);

    CommonPage<VppDevice> listBySiteId(Long siteId, Map<String, Object> params);

    VppDevice getDevice(Long id);

    VppDevice getByDeviceUuid(String deviceUuid);

    VppDevice createDevice(Long siteId, DeviceRequest request);

    void updateDevice(Long id, DeviceRequest request);

    void deleteDevice(Long id);

    DeviceTsdbImportResultVO importTsdbData(String deviceUuid, MultipartFile file);
}
